import { Test, TestingModule } from '@nestjs/testing';
import { VersusController } from './versus.controller';
import {VersusService} from "./versus.service";
import {VersusServiceMock} from "../../mocks/versus-service.mock";

describe('VersusController', () => {
  let controller: VersusController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      controllers: [VersusController],
      providers: [
        { provide: VersusService, useValue: VersusServiceMock },
      ]
    }).compile();

    controller = module.get<VersusController>(VersusController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });
});
